# getWalletNonce()

**Method Signature**

```python
def getWalletNonce(self, blockchain, address)
```

**Parameters**

| Name         | Type                  | Description        |
| ------------ | --------------------- | ------------------ |
| `blockchain` | string or hexadecimal | Blockchain address |
| `address`    | string or hexadecimal | Wallet address     |

**Example**

<pre class="language-python"><code class="lang-python"><strong>from circular_protocol_api import CircularProtocolAPI
</strong><strong>
</strong><strong>blockhain = 0x8a20baa40c45dc5055aeb26197c203e576ef389d9acb171bd62da11dc5ad72b2
</strong>address = 0x8b20bda40c45dc2908aeb26197c203e576ef389d9acb171bd62da15af5ad72b4

circular = CircularProtocolAPI()
result = circular.getWalletNonce(blockchain, address)
</code></pre>

**Result**

{% tabs %}
{% tab title="200" %}

```json
{
    "Result": 200,
    "Response": {
        "Nonce": 55
    },
    "Node": "7bb5bd50729d6857942701d5673ea70ca1625f883230d8543970a452d1abe1c4"
}
```

{% endtab %}

{% tab title="108" %}
When the wallet doesn't exists:

```json
{
    "Result": 108,
    "Response": "Wallet Not found",
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}

{% tab title="118" %}
When the blockchain is missing or the blockchain address is wrong:

```json
{
    "Result": 118,
    "Response": "Wrong Format",
    "Node": "02fc8b01bfc5dc2911941871e6de81f5f6fe60f3961343f802ad78e7e077ea32"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/python/getwalletnonce.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
